<?php

/* DCMS Special
 * Дата последнего редактирования 18.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user', 'adm_check') as $inc) {
    require_once "../sys/inc/$inc.php";
}

access('adm_send_mess', null, 'index.php?' . SID);
adm_check();

$set['title'] = lang('Рассылка сообщений');

require_once H . 'sys/inc/thead.php';

aut();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/panel/'>" . lang('Панель управления') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Рассылка сообщений');
echo "</small></div><br />";

if (isset($_POST['save']) && isset($_POST['msg'])) {
    $msg = $_POST['msg'];

    if (utf8_strlen($msg) > 10024) {
        $err = 'Сообщение превышает 10024 символа';
    }
    if (utf8_strlen($msg) < 2) {
        $err = 'Слишком короткое сообщение';
    }
    if (!isset($err)) {
        $q = mysql_query("SELECT `id` FROM `user` WHERE `id` != $user[id]");
        $msg = mysql_real_escape_string($msg);
        while ($ank = mysql_fetch_array($q)) {
            mysql_query("INSERT INTO `mess` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$msg', '$time')");
        }
        $_SESSION['message'] = lang('Сообщения успешно отправлены');

        header("Location: ?");
        exit();
    }
}
err();

$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `user`"), 0);

echo "<div class = 'list-group-item-null list-group-item-grey'>Сообщение появится на вверху всех страниц. Оно как уведомление. С возможностью скрыть его. Вы разошлете " . sklon_text($count, array('сообщение', 'сообщения', 'сообщений')) . "</div>";
echo "<form class = 'list-group-item-null' name = 'message' method = 'POST' action = '?'>";

$doc->Textarea('msg', 'Сообщение', 10024);

echo "<br />";
$doc->Button('btn btn-success btn-sm', 'save', null, 'Отправить');
echo "</form>";

require_once H . 'sys/inc/tfoot.php';
